Main Page Widgets Namespaces Book

# thread.h File Reference

## Namespaces
namespace | Glib
## Defines
#define | GLIBMM_STATIC_MUTEX_INIT
| Initializer macro for Glib::StaticMutex.
#define | GLIBMM_STATIC_REC_MUTEX_INIT
| Initializer macro for Glib::StaticRecMutex.
#define | GLIBMM_STATIC_RW_LOCK_INIT
| Initializer macro for Glib::StaticRWLock.
#define | GLIBMM_STATIC_PRIVATE_INIT
| Initializer macro for Glib::StaticPrivate.

## Define Documentation

#define GLIBMM_STATIC_MUTEX_INIT`[related]`

| Initializer macro for Glib::StaticMutex.

#define GLIBMM_STATIC_PRIVATE_INIT`[related]`

| Initializer macro for Glib::StaticPrivate.

#define GLIBMM_STATIC_REC_MUTEX_INIT`[related]`

| Initializer macro for Glib::StaticRecMutex.

#define GLIBMM_STATIC_RW_LOCK_INIT`[related]`

| Initializer macro for Glib::StaticRWLock.